aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-01-17 12:59:52 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-01-18 08:54:03 +0000
commit88bf63680fff103d21dcb6fdbeb841264f14e5fb (patch)
treed7c71611e894672c71115e46f05da99d4b431c9c /community
parent74f54e2a1d4511ec4eca53287d6e433e2543e597 (diff)
downloadaports-88bf63680fff103d21dcb6fdbeb841264f14e5fb.tar.gz
aports-88bf63680fff103d21dcb6fdbeb841264f14e5fb.tar.bz2
aports-88bf63680fff103d21dcb6fdbeb841264f14e5fb.tar.xz
community/gtkmm3: new aport
Diffstat (limited to 'community')
-rw-r--r--community/gtkmm3/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/gtkmm3/APKBUILD b/community/gtkmm3/APKBUILD
new file mode 100644
index 0000000000..ca441980c3
--- /dev/null
+++ b/community/gtkmm3/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer:
+pkgname=gtkmm3
+pkgver=3.22.0
+pkgrel=0
+pkgdesc="C++ wrappers for GTK+"
+url="http://gtkmm.sourceforge.net/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="atkmm-dev gtk+3.0-dev glibmm-dev pangomm-dev"
+makedepends="$depends_dev intltool"
+subpackages="$pkgname-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/gtkmm/${pkgver%.*}/gtkmm-$pkgver.tar.xz"
+
+_builddir="$srcdir/gtkmm-$pkgver"
+prepare() {
+ cd "$_builddir"
+ #update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
+ CXXFLAGS="$CXXFLAGS -std=c++11" \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" || return 1
+}
+md5sums="9bdd3bfefaa4d3b68ea57456a75c4a12 gtkmm-3.22.0.tar.xz"
+sha256sums="05da4d4b628fb20c8384630ddf478a3b5562952b2d6181fe28d58f6cbc0514f5 gtkmm-3.22.0.tar.xz"
+sha512sums="0bc141ff09bc78697e89c6f071a1411cbc06e015ee664f3a6f9143bdb31793982e09533c8cff6d8c19cc53c4d32a1e5ad016db48141f5cfc21edfb333bf37988 gtkmm-3.22.0.tar.xz"